javax.xml.stream

## Interface XMLEventReader

All Superinterfaces:
  java.util.Iterator

All Known Implementing Classes:
  EventReaderDelegate

    public interface XMLEventReader
    extends java.util.Iterator

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`java.lang.String` `getElementText()`
`java.lang.Object` `getProperty(java.lang.String name)`
`boolean` `hasNext()`
`XMLEvent` `nextEvent()`
`XMLEvent` `nextTag()`
`XMLEvent` `peek()`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, next, remove`

### Method Detail

#### close

    void close()
        throws XMLStreamException

Throws:
  `XMLStreamException`

#### getElementText

    java.lang.String getElementText()
                             throws XMLStreamException

Throws:
  `XMLStreamException`

#### getProperty

    java.lang.Object getProperty(java.lang.String name)
                          throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### hasNext

    boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator`

#### nextEvent

    XMLEvent nextEvent()
                throws XMLStreamException

Throws:
  `XMLStreamException`

#### nextTag

    XMLEvent nextTag()
              throws XMLStreamException

Throws:
  `XMLStreamException`

#### peek

    XMLEvent peek()
           throws XMLStreamException

Throws:
  `XMLStreamException`